> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the crawl budget

> Returns the requests, reached pages and errors of each AI bot from the uploaded server logs.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/technical/crawl-budget
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/technical/crawl-budget:
    get:
      tags:
        - Technical analysis
      summary: Get the crawl budget
      description: >-
        Returns the requests, reached pages and errors of each AI bot from the
        uploaded server logs.
      operationId: crawl_budget
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlBudgetResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CrawlBudgetResponse:
      type: object
      properties:
        has_logs:
          type: boolean
        window_days:
          type: integer
        pages_total:
          type: integer
        rows:
          type: array
          items:
            $ref: '#/components/schemas/CrawlBudgetRowDTO'
      required:
        - has_logs
        - pages_total
        - rows
        - window_days
    CrawlBudgetRowDTO:
      type: object
      properties:
        bot:
          type: string
        platform:
          type: string
        requests:
          type: integer
        pages_reached:
          type: integer
        error_hits:
          type: integer
        last_seen:
          type: string
          format: date
          nullable: true
        access:
          $ref: '#/components/schemas/BotAccess'
      required:
        - access
        - bot
        - error_hits
        - last_seen
        - pages_reached
        - platform
        - requests
    BotAccess:
      enum:
        - allowed
        - blocked
        - unmentioned
      type: string
      description: |-
        * `allowed` - allowed
        * `blocked` - blocked
        * `unmentioned` - unmentioned
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.